<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" version="2.5">
  <servlet>
    <servlet-name>ajax</servlet-name>
    <servlet-class>org.jfw.web.servlet.core.FilenameConfigServlet</servlet-class>
    <init-param>
      <param-name>prefixLen</param-name>
      <param-value>13</param-value>
    </init-param>
    <init-param>
      <param-name>viewType</param-name>
      <param-value>1</param-value>
    </init-param>
    <init-param>
      <param-name>configFileName</param-name>
      <param-value>beanConfig.properties,project.properties</param-value>
    </init-param>
    <init-param>
    	<param-name>afterBeanFactory</param-name>
    	<param-value>com.ekexiu.portal.job.SchJob</param-value>
    </init-param>
    <load-on-startup>1</load-on-startup>
  </servlet>
  <servlet>
  	<servlet-name>cachedFileUploadServlet</servlet-name>
  	<servlet-class>org.jfw.web.servlet.fileupload.cached.CachedUploadServlet</servlet-class>
  	<load-on-startup>2</load-on-startup>
  </servlet>
  <servlet>
  	<servlet-name>resFileUploadServlet</servlet-name>
  	<servlet-class>org.jfw.web.servlet.fileupload.cached.CachedUploadServlet</servlet-class>
  	<load-on-startup>3</load-on-startup>
  </servlet>
  
  <servlet-mapping>
    <servlet-name>ajax</servlet-name>
    <url-pattern>/ajax/*</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>cachedFileUploadServlet</servlet-name>
    <url-pattern>/ajax/cachedFileUpload</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>resFileUploadServlet</servlet-name>
    <url-pattern>/ajax/resFileUpload</url-pattern>
  </servlet-mapping>
</web-app>